com.holonplatform.vaadin.flow.components.builders

## Interface HasValueInputBuilder<T,H extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component>

- Type Parameters:
    `T` - Value type
    `H` - Concrete `HasValue` type
    `C` - Concrete `Component` type
  All Superinterfaces:
    ComponentConfigurator<HasValueInputBuilder<T,H,C>>, HasElementConfigurator<HasValueInputBuilder<T,H,C>>, InputAdapterBuilder<T,T,H,C,HasValueInputBuilder<T,H,C>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,Input<T>,ValidatableInput<T>,HasValueInputBuilder<T,H,C>,ValidatableInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,HasValueInputBuilder<T,H,C>>

      public interface HasValueInputBuilder<T,H extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component>
      extends InputAdapterBuilder<T,T,H,C,HasValueInputBuilder<T,H,C>>

  A builder to create `Input` components from a `HasValue` component.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T,H extends com.vaadin.flow.component.Component & com.vaadin.flow.component.HasValue<?,T>> HasValueInputBuilder<T,H,H>` | `create(H field)` Create a new `HasValueInputBuilder` using given `HasValue` `Component` field instance.
    `static <T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component> HasValueInputBuilder<T,V,C>` | `create(V field, C component)` Create a new `HasValueInputBuilder` using given `HasValue` and `Component` field instances.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputAdapterBuilder

      `emptyValueSupplier, focusOperation, hasEnabledSupplier, hasSizeSupplier, hasStyleSupplier, hasValidationSupplier, hasValueChangeModeSupplier, invalidChangeEventNotifierSupplier, isEmptySupplier, labelPropertyHandler, labelPropertyHandler, placeholderPropertyHandler, placeholderPropertyHandler, requiredPropertyHandler, requiredPropertyHandler, titlePropertyHandler, titlePropertyHandler, valueSupplier, withAdapters, withAdapters, withReadonlyChangeListeners, withValueChangeListeners`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### create

          static <T,H extends com.vaadin.flow.component.Component & com.vaadin.flow.component.HasValue<?,T>> HasValueInputBuilder<T,H,H> create(H field)

      Create a new `HasValueInputBuilder` using given `HasValue` `Component` field instance.
      Specified by:
        `create` in interface `ComponentConfigurator<HasValueInputBuilder<T,H extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component>>`
      Type Parameters:
        `T` - Value type
        `H` - Actual field type
      Parameters:
        `field` - `HasValue` `Component` field (not null)
      Returns:
        A new `HasValueInputBuilder`

    - #### create

          static <T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component> HasValueInputBuilder<T,V,C> create(V field,
                                                                                                                                                        C component)

      Create a new `HasValueInputBuilder` using given `HasValue` and `Component` field instances.
      Type Parameters:
        `T` - Value type
        `V` - `HasValue` type
        `C` - `Component` type
      Parameters:
        `field` - `HasValue` field (not null)
        `component` - Field `Component` (not null)
      Returns:
        A new `HasValueInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.